Bug 90843 - Accelerator doesnt disable sidebar after accelerator enabled it (summary in comment 9)
Summary: Accelerator doesnt disable sidebar after accelerator enabled it (summary in c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
: 96596 (view as bug list)
Depends on:
Blocks: Sidebar-Accessibility
  Show dependency treegraph
 
Reported: 2015-04-24 18:49 UTC by kba
Modified: 2016-10-24 12:17 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
die, sidebar, die! (147.51 KB, image/png)
2015-04-26 04:01 UTC, kba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kba 2015-04-24 18:49:15 UTC
I turned off sidebar because I don't need it and want to save screen space. But if I start "styles and formating" panel via keyboard shortcut F11, and then turn "styles and formating" by pressing F11 second time sidebar is again ON. I use F11 often so this is simply bloody annoying! Pretty please fix this.
Comment 1 Joel Madero 2015-04-25 03:29:30 UTC
Just detach the styles and formatting from the sidebar and the sidebar will disappear. If you need help please ask the user mailing list or IRC chat. I just tested and it works fine.

Closing as NOTABUG. Thanks!
Comment 2 kba 2015-04-25 14:36:46 UTC
Detaching styles and formating window is NOT a solution... it's like healing the 
headache by beheading... A crappy workaround you suggested is only temporary solution until problem will be fixed the way it should be fixed.

"Closing as NOTABUG. Thanks!"... SERIOUSLY? Yours "It's not a bug it's a feature" attitude is in my humble opinion a wrong one! It is a bug and it need fixing. Some ppl prefere everything in one window and once turned off sidebar should NOT turn on itself. It works right at AOO witch is sadly not actively developed anymore, so I see no reason why it can't work correctly at LO!
Comment 3 Joel Madero 2015-04-25 14:40:50 UTC
Fine - tossing this to UX and they can decide. If it's closed again please do not reopen it - just because a single user is unhappy with it does not mean that we're going to change the behavior. 

But - UX can decide. Also in the future before playing with the status of bugs please read the documentation so that you know what is correct - REOPENED has a specific definition and it does not apply here.

UX Team - your call. I am all for just closing this as NOTABUG but if you guys disagree, feel free to move it forward.
Comment 4 Yousuf Philips (jay) (retired) 2015-04-25 15:03:59 UTC
Hi kba,

As of libreoffice 4.4, 'styles and formatting' and 'gallery' are exclusive features of the sidebar (bug 73151) and unfortunately this wont be changed. Joel had suggested a solution that would provide a floating dialog similar to how it used to be before 4.4 that works in a similar fashion by pressing F11. So i would agree that this is notabug.

If you are unhappy with this change, then i would suggest sticking with libreoffice 4.3.
Comment 5 Joel Madero 2015-04-25 15:26:21 UTC
Just for clarification - Jay is a member of UX and is up to date about their decisions. As he's explained this behavior clearly now and that it was done on purpose, please leave the bug as NOTABUG - if you're unhappy with the decision I suggest two things:

1) Stay with LibreOffice 4.3
2) Join the UX team so that you can be involved with decision making going forward
Comment 6 V Stuart Foote 2015-04-25 15:50:17 UTC
Concur with both Joel's and Jay's assessment.

The elimination of Dialog windows for Styles and Formatting and Gallery with exclusive presence as a content panel on the Sidebar Deck was a design decision.  

The Sidebar Deck is intended to be undocked for those preferring detached window/dialog feel.  Enhancement of Sidebar containers to allow multiple active Decks is a longer range enhancement.

The F11 shortcut key is bound to the "Styles and Formatting" content panel(s) of the Sidebar.  If used it will launch the Sidebar (closed/hidden or not).

A potential enhancement might be to launch the Sidebar Deck in its undocked mode when one of the defined Short cuts or accelerators is activated but the Sidebar is otherwise closed.

I.e for
Alt+V Alt+G Gallery
F11 for Styles and Formatting
Comment 7 kba 2015-04-25 19:19:47 UTC
Thank you all for your answers and your work. Guess I'll downgrade to 4.3 then :(

If described sidebar behavior is deliberate design decision it's, in my humble user opinion, a bad one.

I don't think I am the only one who likes to have all my text edition/option panels (if open) inside text editor, not as floating windows between other program windows on my screen. Personally I think sidebar is some kind of misunderstanding, but it's not a problem as long as I can turn it off and it stays off. I think most ppl who do serious work in text processors turns off unwanted and not needed interface elements to save some workspace. When off they supposed to stay off! Current sidebar behavior is, in my humble opinion as heavy text processor user, a step in very wrong directions.

Regards
kba
Comment 8 Joel Madero 2015-04-25 19:23:52 UTC
Thanks for your understanding and input. We'd love to see you join either QA or the UX team :) More than enough work to spread around :-b

If you're interested in chatting with QA: http://webchat.freenode.net/?channels=libreoffice-qa
Comment 9 Yousuf Philips (jay) (retired) 2015-04-25 22:28:54 UTC
So kba joined us in the IRC and better explained the problem which Cor did partially discuss in bug 85791.

If the sidebar is docked and fully closed (View > Sidebar is unchecked) and you press F11, the sidebar will fully open with the styles and formatting tab selected, but if you press f11 again, it will close just the tab in the sidebar and not the full sidebar.

If the sidebar is undocked, F11 will open the sidebar undocked and F11 again will close the undocked sidebar.

Stuart, Cor: So what do you guys think?
Comment 10 V Stuart Foote 2015-04-25 22:59:21 UTC
(In reply to Jay Philips from comment #9)
> If the sidebar is docked and fully closed (View > Sidebar is unchecked) and
> you press F11, the sidebar will fully open with the styles and formatting
> tab selected, but if you press f11 again, it will close just the tab in the
> sidebar and not the full sidebar.

Yes, this would be expected as things are now. We are using just a single Deck as a container for each of the Content panels. And we have the issue now that we can have two Navigator panels open (one into the Sidebar Deck, the other as its old Dialog format).  

The correct UI behavior is to differentiate how the accelerator is being launched and test status of Sidebar--if fully closed (not just hidden), with F11 the Sidebar Deck would open to the Styles & Formatting content panel. If no other panel is selected from the Tabbar, an F11 would close the Sidebar.

The other state--Sidebar: fully open, in Tabbar only mode, or hidden--then an F11 short cut would function as it does now.

Same stateful logic would be needed for each of the other Short Cuts/Accelerators assigned to Sidebar Content panels. 

Note: While we have F11, F5, Alt+V Alt+G, each set of content panels for the Deck need Short Cut/Accelerator assignments, see bug 84502

And these additional accelerators would need to test same stateful logic--is Sidebar open or "fully" closed, and behave accordingly.

> 
> If the sidebar is undocked, F11 will open the sidebar undocked and F11 again
> will close the undocked sidebar.
> 

Yes this behavior is a little different than when the Sidebar is docked. Presently F11, and Alt+V Alt+G open and close the undocked sidebar. I think that is correct--short cut/accelerator removes the Sidebar dialog when it is no longer needed.
Comment 11 kba 2015-04-26 04:01:59 UTC
Created attachment 115107 [details]
die, sidebar, die!
Comment 12 kba 2015-04-26 04:02:48 UTC
Everything seems to be clear now, but because I prepared screenshot to illustrate problem before seeing the latest comments I'll upload it anyway.
Comment 13 Yousuf Philips (jay) (retired) 2015-04-27 00:02:40 UTC
(In reply to V Stuart Foote from comment #10)
> The correct UI behavior is to differentiate how the accelerator is being
> launched and test status of Sidebar--if fully closed (not just hidden), with
> F11 the Sidebar Deck would open to the Styles & Formatting content panel. If
> no other panel is selected from the Tabbar, an F11 would close the Sidebar.

I think the logic is already in as we did the same to fix this issue when the sidebar was undocked, so all we'd need to do is extend it for when it is docked.

> Note: While we have F11, F5, Alt+V Alt+G, each set of content panels for the
> Deck need Short Cut/Accelerator assignments, see bug 84502

Well F5 doesnt activate the sidebar. :D
Comment 14 kba 2015-04-27 12:01:16 UTC
 > Well F5 doesnt activate the sidebar. :D

Yap, I forgot to mention: navigator window (F5) does not have this problem. Notice that navigator panel (docked or detached) when open don't have this sidebar on its right side styles and formatting have - I think this makes a difference.
Comment 15 Cor Nouws 2015-05-04 09:22:06 UTC
(In reply to V Stuart Foote from comment #10)
> The correct UI behavior is to differentiate how the accelerator is being
> launched and test status of Sidebar--if fully closed (not just hidden), with
> F11 the Sidebar Deck would open to the Styles & Formatting content panel. If
> no other panel is selected from the Tabbar, an F11 would close the Sidebar.

I agree with that.
Would be in line with kba's expectation too, if I get it right.
For me, the space used by the closed side bar - I work like kba does - is not such a big problem. (But maybe it could be even less if icons there follow the tool bars setting large/small icons?)
Comment 16 Buovjaga 2015-06-10 15:31:18 UTC
*** Bug 91856 has been marked as a duplicate of this bug. ***
Comment 17 Robinson Tryon (qubit) 2015-12-13 11:23:48 UTC Comment hidden (no-value, obsolete)
Comment 18 Buovjaga 2015-12-19 20:44:44 UTC
*** Bug 96596 has been marked as a duplicate of this bug. ***